function TweakHub.Minimap:GetOptionsTable()
	local L = TweakHub.Minimap.Locale

	return {
		type = "group",
		name = L["Minimap Tweaks"],
		desc = L["Various minimap tweaks."],
		args = {
			ScrollZoom = {
				type = "toggle",
				name = L["Mouse Wheel Zoom"],
				desc = L["Toggles minimap zooming with the mouse wheel."],
				get = function() return TweakHub.Minimap.db.profile.ScrollZoom end,
				set = function(v)
					TweakHub.Minimap.db.profile.ScrollZoom = v
					TweakHub.Minimap:DoScrollZoom();
				end,
			},
			WorldMapButton = {
				type = "toggle",
				name = L["World Map Button"],
				desc = L["Shows or hides the world map button."],
				get = function() return TweakHub.Minimap.db.profile.WorldMapButton end,
				set = function(v)
					TweakHub.Minimap.db.profile.WorldMapButton = v
					TweakHub.Minimap:DoWorldMapButton()
				end,
			},
			ZoomButtons = {
				type = "toggle",
				name = L["Zoom Buttons"],
				desc = L["Shows or hides the zoom buttons."],
				get = function() return TweakHub.Minimap.db.profile.ZoomButtons end,
				set = function(v)
					TweakHub.Minimap.db.profile.ZoomButtons = v
					TweakHub.Minimap:DoZoomButtons()
				end,
			},
			GameTimeImage = {
				type = "toggle",
				name = L["Game Time Image"],
				desc = L["Shows or hides the game time image."],
				get = function() return TweakHub.Minimap.db.profile.GameTimeImage end,
				set = function(v)
					TweakHub.Minimap.db.profile.GameTimeImage = v
					TweakHub.Minimap:DoGameTimeImage()
				end,
			},
			Header = {
				type = "toggle",
				name = L["Header"],
				desc = L["Shows or hides the header."],
				get = function() return TweakHub.Minimap.db.profile.Header end,
				set = function(v)
					TweakHub.Minimap.db.profile.Header = v
					TweakHub.Minimap:DoHeader()
				end,
			},
			Scale = {
				type = "range",
				name = L["Scale"],
				desc = L["Set the scale of the minimap frame."],
				min = 0.1,
				max = 2,
				step = 0.1,
				get = function() return TweakHub.Minimap.db.profile.Scale end,
				set = function(v)
					TweakHub.Minimap.db.profile.Scale = v
					TweakHub.Minimap:DoScale()
				end,
			},
		},
	}
end