-- Based on functions from Minimalist

TweakHub.Minimap = TweakHub:NewModule("Minimap", "AceDB-2.0")
TweakHub.Minimap:RegisterDB("TweakHubMinimapDB")

TweakHub.Minimap.Locale = AceLibrary("AceLocale-2.2"):new("TweakHub.Minimap")

local L = TweakHub.Minimap.Locale

function TweakHub.Minimap:OnEnable()

	-- Create minimap overlay frame
	self.Overlay = CreateFrame('Frame', "TweakHubMinimapOverlay", Minimap)
	self.Overlay:SetAllPoints(Minimap)
	self.Overlay:SetScript("OnMouseWheel", self.DoZoom)
	self.Overlay:EnableMouseWheel(self.db.profile.ScrollZoom)
	self.Overlay:Show()

	self:DoScrollZoom()
	self:DoWorldMapButton()
	self:DoZoomButtons()
	self:DoGameTimeImage()
	self:DoHeader()
	self:DoScale()

end

function TweakHub.Minimap:DoScrollZoom()
	if self.db.profile.ScrollZoom then
		self.Overlay:EnableMouseWheel(true)
	else
		self.Overlay:EnableMouseWheel(false)
	end
end

function TweakHub.Minimap:DoWorldMapButton()
	if self.db.profile.WorldMapButton then
		MiniMapWorldMapButton:Show()
	else
		MiniMapWorldMapButton:Hide()
	end
end

function TweakHub.Minimap:DoZoomButtons()
	if self.db.profile.ZoomButtons then
		MinimapZoomIn:Show()
		MinimapZoomOut:Show()
	else
		MinimapZoomIn:Hide()
		MinimapZoomOut:Hide()
	end
end

function TweakHub.Minimap:DoGameTimeImage()
	if self.db.profile.GameTimeImage then
		GameTimeFrame:Show()
	else
		GameTimeFrame:Hide()
	end
end

function TweakHub.Minimap:DoHeader()
	if self.db.profile.Header then
		MinimapToggleButton:Show()
		MinimapZoneTextButton:Show()
		MinimapBorderTop:Show()
	else
		MinimapToggleButton:Hide()
		MinimapZoneTextButton:Hide()
		MinimapBorderTop:Hide()
	end
end

function TweakHub.Minimap:DoScale()
	MinimapCluster:SetScale(self.db.profile.Scale)
end

function TweakHub.Minimap:DoZoom()
	if arg1 then
		if arg1 > 0 and Minimap:GetZoom() < 5 then
			Minimap:SetZoom(Minimap:GetZoom() + 1)
		elseif arg1 < 0 and Minimap:GetZoom() > 0 then
			Minimap:SetZoom(Minimap:GetZoom() - 1)
		end
	end
end